From aa5d05eaa4d482aa8f8df954335d0aba151eeff9 Mon Sep 17 00:00:00 2001
From: Max Kellermann <max@duempel.org>
Date: Mon, 2 May 2016 22:05:21 +0200
Subject: [PATCH] configure.ac: don't suppress GLib warnings by changing -I to
 -isystem

This is a kludge which may break system include path order, see
https://bugs.musicpd.org/view.php?id=4524
---
 configure.ac | 6 ------
 1 file changed, 6 deletions(-)

diff --git a/configure.ac b/configure.ac
index c05d075..35ecb7b 100644
--- a/configure.ac
+++ b/configure.ac
@@ -703,12 +703,6 @@ AC_ARG_ENABLE(glib,
 if test x$enable_glib = xyes; then
 	PKG_CHECK_MODULES([GLIB], [glib-2.0 >= 2.28 gthread-2.0],,
 		[AC_MSG_ERROR([GLib 2.28 is required])])
-
-	if test x$GCC = xyes; then
-		# suppress warnings in the GLib headers
-		GLIB_CFLAGS=`echo $GLIB_CFLAGS |sed -e 's,-I/,-isystem /,g'`
-	fi
-
 	AC_DEFINE(HAVE_GLIB, 1, [Define if GLib is used])
 fi
 AM_CONDITIONAL(HAVE_GLIB, test x$enable_glib = xyes)
